<?php
// $Id: media_flickr.cck.inc,v 1.1.2.2 2009/06/25 15:25:58 aaron Exp $

/**
 *  @file
 *  CCK settings functions for Media: Flickr.
 */

function _media_flickr_emfield_widget_settings_extra($op, $widget) {
  if ($op == 'form') {
    if ($widget['module'] == 'emvideo') {
      $form['media_flickr'] = array(
        '#type' => 'fieldset',
        '#title' => t('Media: Flickr settings'),
        '#collapsible' => TRUE,
        '#collapsed' => !$widget['providers']['flickr_sets'],
        '#description' => t('These settings only affect Flickr slideshows.'),
      );
      foreach (array('video' => t('video'), 'preview' => t('preview')) as $formatter => $title) {
        $form['media_flickr'][$formatter] = array(
          '#type' => 'fieldset',
          '#title' => t('Media: Flickr settings for @formatter size', array('@formatter' => $title)),
          '#collapsible' => TRUE,
          '#description' => t('These settings only affect Flickr slideshows when displayed in the @formatter size.', array('@formatter' => $title)),
        );
        $form['media_flickr'][$formatter]['media_flickr_player_'. $formatter] = array(
          '#type' => 'select',
          '#title' => t('Media player (@formatter size)', array('@formatter' => $title)),
          '#options' => array(
            'flash' => t('Default Flickr slideshow (flash)'),
            'flvmediaplayer' => t('JW Flash Player'),
            'custom' => t('Custom'),
          ),
          '#description' => t('Please select the player to display Flickr photoset slideshows in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_player_'. $formatter]) ? $widget['media_flickr_player_'. $formatter] : 'flash',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer'] = array(
          '#type' => 'fieldset',
          '#title' => t('Media: Flickr settings for JW Flash Player in @formatter size', array('@formatter' => $title)),
          '#collapsible' => TRUE,
          '#collapsed' => (!($widget['media_flickr_player_'. $formatter] == 'flvmediaplayer')),
          '#description' => t('These settings only affect the slideshow when the JW Flash Player is selected for the @formatter size in the above select drop-down list.', array('@formatter' => $title)),
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_playlist_'. $formatter] = array(
          '#type' => 'select',
          '#title' => t('Playlist position (@formatter size)', array('@formatter' => $title)),
          '#options' => array(
            'none' => t('None'),
            'bottom' => t('Bottom'),
            'over' => t('Over'),
            'right' => t('Right'),
          ),
          '#description' => t('This determines the position of the playlist icons when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_playlist_'. $formatter]) ? $widget['media_flickr_playlist_'. $formatter] : 'right',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_playlistsize_'. $formatter] = array(
          '#type' => 'textfield',
          '#title' => t('Playlist size (@formatter size)', array('@formatter' => $title)),
          '#description' => t('This determines the width of the playlist icons when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_playlistsize_'. $formatter]) ? $widget['media_flickr_playlistsize_'. $formatter] : '86',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_repeat_'. $formatter] = array(
          '#type' => 'select',
          '#title' => t('Playlist repeat (@formatter size)', array('@formatter' => $title)),
          '#options' => array(
            'none' => t('None'),
            'list' => t('List'),
            'always' => t('Always'),
            'single' => t('Single'),
          ),
          '#description' => t('Set to %list to play the entire playlist once, to %always to continously play the song/video/playlist and to %single to continue repeating the selected file in a playlist, when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title, '%list' => t('list'), '%always' => t('always'), '%single' => t('single'), )),
          '#default_value' => isset($widget['media_flickr_repeat_'. $formatter]) ? $widget['media_flickr_repeat_'. $formatter] : 'list',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_delay_'. $formatter] = array(
          '#type' => 'textfield',
          '#title' => t('Playlist delay (@formatter size)', array('@formatter' => $title)),
          '#description' => t('This determines how long to display each image, in seconds, when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_delay_'. $formatter]) ? $widget['media_flickr_delay_'. $formatter] : '10',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_controlbar_'. $formatter] = array(
          '#type' => 'select',
          '#title' => t('Control bar position (@formatter size)', array('@formatter' => $title)),
          '#options' => array(
            'none' => t('None'),
            'bottom' => t('Bottom'),
            'over' => t('Over'),
          ),
          '#description' => t('This controls the position of the control bar when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_controlbar_'. $formatter]) ? $widget['media_flickr_controlbar_'. $formatter] : 'none',
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_allowfullscreen_'. $formatter] = array(
          '#type' => 'checkbox',
          '#title' => t('Allow full screen (@formatter size)', array('@formatter' => $title)),
          '#description' => t('If checked, then the user may choose to display the slide show in a full screen mode, when the JW Flash Player is chosen in the @formatter size.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_allowfullscreen_'. $formatter]) ? $widget['media_flickr_allowfullscreen_'. $formatter] : TRUE,
        );
        $form['media_flickr'][$formatter]['flvmediaplayer']['media_flickr_logo_'. $formatter] = array(
          '#type' => 'textfield',
          '#title' => t('Logo (@formatter size)', array('@formatter' => $title)),
          '#description' => t('If set to an image (JPG|GIF|PNG) then this logo will be displayed in the top right corner of the slide show, when the JW Flash Player is chosen in the @formatter size. Do not enter a leading slash.', array('@formatter' => $title)),
          '#default_value' => isset($widget['media_flickr_logo_'. $formatter]) ? $widget['media_flickr_logo_'. $formatter] : '',
        );
      }
      return $form;
    }
  }
  else if ($op == 'save') {
    $columns = array();
    if ($widget['module'] == 'emvideo') {
      $columns = array();
      foreach (array('video', 'preview') as $formatter) {
        $columns[] = 'media_flickr_player_'. $formatter;
        $columns[] = 'media_flickr_playlist_'. $formatter;
        $columns[] = 'media_flickr_playlistsize_'. $formatter;
        $columns[] = 'media_flickr_repeat_'. $formatter;
        $columns[] = 'media_flickr_delay_'. $formatter;
        $columns[] = 'media_flickr_controlbar_'. $formatter;
        $columns[] = 'media_flickr_allowfullscreen_'. $formatter;
        $columns[] = 'media_flickr_logo_'. $formatter;
      }
    }
    return $columns;
  }
}
